<?php

use GuzzleHttp\Exception\RequestException;

/**
 * Controller class for edstep courses.
 *
 * This extends the DrupalDefaultEntityController class, adding required
 * special handling for edstep course objects.
 */
class EdstepCourseController extends DrupalDefaultEntityController {
  protected function attachLoad(&$edstep_courses, $revision_id = FALSE) {
    foreach($edstep_courses as $edstep_course) {
      $edstep_course->remote = edstep_api_course($edstep_course->course_id);
      edstep_course_fetch_data($edstep_course);
      $edstep_course->title = edstep_course_get_remote_value($edstep_course, 'title');
      $edstep_course->is_new = !empty($edstep_course->is_new);
    }
    parent::attachLoad($edstep_courses, $revision_id);
  }

  public function prepare($edstep_course) {
    $entities = array($edstep_course->course_id => $edstep_course);
    $this->attachLoad($entities);
  }
}
