<?php

use GuzzleHttp\Exception\RequestException;

function edstep_enroll_button_form($form, &$form_state, $edstep_course) {
  $form['#edstep_course'] = $edstep_course;
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => edstep_course_is_enrolled($edstep_course) ? t('Continue course') : t('Enroll'),
  );
  return $form;
}

function edstep_enroll_button_form_submit($form, &$form_state) {
  $edstep_course = $form['#edstep_course'];
  edstep_authorize();
  if(!edstep_course_is_enrolled($edstep_course)) {
    // If user isn’t enrolled, try to enroll them.
    try {
      edstep_course_enroll($edstep_course);
      drupal_set_message(t('Enrolled successfully.'), 'status');
    } catch(RequestException $e) {
      // If there is an error, return directly so we don’t redirect.
      drupal_set_message(t('Could not enroll.'), 'error');
      return;
    }
  }
  // Redirect to course content.
  $form_state['redirect'] = edstep_course_continue_uri($edstep_course);
}

function edstep_add_button_form($form, &$form_state, $edstep_course) {
  if($edstep_course->is_new) {
    $form['#edstep_course'] = $edstep_course;
    $form['submit'] = array(
      '#type' => 'submit',
      '#value' => t('Add'),
    );
  }
  return $form;
}

function edstep_add_button_form_submit($form, &$form_state) {
  $edstep_course = $form['#edstep_course'];
  edstep_course_save($edstep_course);
  drupal_set_message(t('The EdStep course %title has been added to this site.', array(
    '%title' => $edstep_course->title,
  )));
}
