<?php

module_load_include('php', 'edstep', 'vendor/autoload');

use Edstep\Client;
use League\OAuth2\Client\Token\AccessToken;

function edstep_api_client() {
  $client = &drupal_static(__FUNCTION__);
  if(!isset($client)) {
    $redirect_uri = url('edstep/oauth/return', array(
      'absolute' => TRUE,
    ));
    $client = new Client(array(
      'host' => variable_get('edstep_host', 'https://edstep.com'),
      'auth_host' => variable_get('edstep_auth_host', 'https://auth.cerpus-course.com'),
      'auth_client_id' => variable_get('edstep_auth_client_id'),
      'auth_client_secret' => variable_get('edstep_auth_client_secret'),
      'auth_redirect_uri' => $redirect_uri,
      'auth_useidp' => variable_get('edstep_auth_useidp', NULL),
      'auth_requirements' => variable_get('edstep_auth_requirements', NULL),
    ));
    if($access_token = edstep_load_access_token()) {
      $client->setAccessToken($access_token);
    }
  }
  return $client;
}

function edstep_api_course($id) {
  $client = edstep_api_client();
  return $client->course($id);
}

function edstep_api_create_access_token($options) {
  return new AccessToken($options);
}
